// ﻿/ Updated 2018-2019: Μαριάνθη Γριζιώτη margrizioti@gmail.com
//	thomas.d.papadopoulos@gmail.com

function readModel()
{


	titleText = 'Template: Views';


	problemText = '<strong> This is a template that you can change following the instructions <a href = \"common/manual_Eng.html\" target = \"_blank\">HERE</a> </strong> <br> ' +
	'On the upper left squares you see different views of the same shape. The blue square shows the 3D shape if you look from the blue side of the grid. <br>'+
	'The red square shows the same shape if you look at it from the red side of the grid. The green square shows the shape if you look from the green side of the grid. The white square shows the same shape if you look from the top view. <br>'+
	'For more instructions click <a href = \"common/manual_Eng.html\" target = \"_blank\">Here</a>';



	authorText = 'Maria Latsi - Vangelis Fakoudis - Updated 2018-2019: Marianthi Grizioti';


	// last update

	// COLORS
	// Must always be 10 color hex values. The first one (index 0) is for internal use. You may change indices 1 .. 9.

	colors = [ 0x000000, 0xDF1F1F, 0xDFAF1F, 0x80DF1F, 0x006633, 0x1FDFDF, 0x1F4FDF, 0x7F1FDF, 0xDF1FAF, 0x000000 ];

	wireFrame = true;

	// end of last update


	// DIMENSIONING

	gridDimension = 400;
	cubeDimension = 50;	// this must be constant
	gridDensity = Math.floor(gridDimension / cubeDimension);

	// altered 8.6.13

	// COUNTERS

	init_show	= true;	// show number of blocks added by author
	usr_show	= true;	// show number of blocks added by user
	rare_show	= true;	// show number of blocks added by author, but deleted by user
	tot_show	= true;	// show total number of blocks currently in canvas

	// end of 8.6.13

	// CAMERAS

	planeView = true;
	redView = true;
	blueView = true;
	greenView = true;

	// MODEL DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.

	modelGeometry =
	[
		[	// 1st row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 2nd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[4,4,0,0,0,0,0,0],	// tower in 3rd column
			[4,4,0,0,0,0,0,0],	// tower in 4th column
			[4,4,0,0,0,0,0,0],	// tower in 5th column
			[4,4,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	//3rd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[4,4,0,0,0,0,0,0],	// tower in 3rd column
			[4,4,0,0,0,0,0,0],	// tower in 4th column
			[4,4,0,0,0,0,0,0],	// tower in 5th column
			[4,4,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 4th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[4,4,0,0,0,0,0,0],	// tower in 3rd column
			[4,4,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 5th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[4,4,0,0,0,0,0,0],	// tower in 3rd column
			[4,4,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 6th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[4,4,0,0,0,0,0,0],	// tower in 3rd column
			[4,4,0,0,0,0,0,0],	// tower in 4th column
			[4,4,0,0,0,0,0,0],	// tower in 5th column
			[4,4,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 7th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[4,4,0,0,0,0,0,0],	// tower in 3rd column
			[4,4,0,0,0,0,0,0],	// tower in 4th column
			[4,4,0,0,0,0,0,0],	// tower in 5th column
			[4,4,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 8th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		]
	];

	// CANVAS DATA: 1 .. 9  for colorful cubes, 0 for empty space. Number of rows, columns and towers height must be equal to gridDensity.

	canvasGeometry =
	[

		[	// 1st row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 2nd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	//3rd row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 4th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 5th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 6th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 7th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		],
		[	// 8th row
			[0,0,0,0,0,0,0,0],	// tower in 1st column
			[0,0,0,0,0,0,0,0],	// tower in 2nd column
			[0,0,0,0,0,0,0,0],	// tower in 3rd column
			[0,0,0,0,0,0,0,0],	// tower in 4th column
			[0,0,0,0,0,0,0,0],	// tower in 5th column
			[0,0,0,0,0,0,0,0],	// tower in 6th column
			[0,0,0,0,0,0,0,0],	// tower in 7th column
			[0,0,0,0,0,0,0,0],	// tower in 8th column
		]
	];

}
